org.hibernate.validator.internal.metadata.core

## Class AnnotationProcessingOptionsImpl

- java.lang.Object
- - org.hibernate.validator.internal.metadata.core.AnnotationProcessingOptionsImpl

- All Implemented Interfaces:
    AnnotationProcessingOptions

      public class AnnotationProcessingOptionsImpl
      extends Object
      implements AnnotationProcessingOptions

  An `AnnotationProcessingOptions` instance keeps track of annotations which should be ignored as configuration source. The main validation source for Bean Validation is annotation and alternate configuration sources use this class to override/ignore existing annotations.
  Author:
    Hardy Ferentschik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AnnotationProcessingOptionsImpl.ExecutableParameterKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationProcessingOptionsImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areClassLevelConstraintsIgnoredFor(Class<?> clazz)`
    `boolean` | `areCrossParameterConstraintsIgnoredFor(Member member)`
    `boolean` | `areMemberConstraintsIgnoredFor(Member member)`
    `boolean` | `areParameterConstraintsIgnoredFor(Member member, int index)`
    `boolean` | `areReturnValueConstraintsIgnoredFor(Member member)`
    `void` | `ignoreAnnotationConstraintForClass(Class<?> clazz, Boolean b)`
    `void` | `ignoreClassLevelConstraintAnnotations(Class<?> clazz, boolean b)`
    `void` | `ignoreConstraintAnnotationsForCrossParameterConstraint(Member member, Boolean b)`
    `void` | `ignoreConstraintAnnotationsForReturnValue(Member member, Boolean b)`
    `void` | `ignoreConstraintAnnotationsOnMember(Member member, Boolean b)`
    `void` | `ignoreConstraintAnnotationsOnParameter(Member member, int index, Boolean b)`
    `void` | `merge(AnnotationProcessingOptions annotationProcessingOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationProcessingOptionsImpl

          public AnnotationProcessingOptionsImpl()

  - ### Method Detail

    - #### areMemberConstraintsIgnoredFor

          public boolean areMemberConstraintsIgnoredFor(Member member)

      Specified by:
        `areMemberConstraintsIgnoredFor` in interface `AnnotationProcessingOptions`

    - #### areReturnValueConstraintsIgnoredFor

          public boolean areReturnValueConstraintsIgnoredFor(Member member)

      Specified by:
        `areReturnValueConstraintsIgnoredFor` in interface `AnnotationProcessingOptions`

    - #### areCrossParameterConstraintsIgnoredFor

          public boolean areCrossParameterConstraintsIgnoredFor(Member member)

      Specified by:
        `areCrossParameterConstraintsIgnoredFor` in interface `AnnotationProcessingOptions`

    - #### areParameterConstraintsIgnoredFor

          public boolean areParameterConstraintsIgnoredFor(Member member,
                                                  int index)

      Specified by:
        `areParameterConstraintsIgnoredFor` in interface `AnnotationProcessingOptions`

    - #### areClassLevelConstraintsIgnoredFor

          public boolean areClassLevelConstraintsIgnoredFor(Class<?> clazz)

      Specified by:
        `areClassLevelConstraintsIgnoredFor` in interface `AnnotationProcessingOptions`

    - #### merge

          public void merge(AnnotationProcessingOptions annotationProcessingOptions)

      Specified by:
        `merge` in interface `AnnotationProcessingOptions`

    - #### ignoreAnnotationConstraintForClass

          public void ignoreAnnotationConstraintForClass(Class<?> clazz,
                                                Boolean b)

    - #### ignoreConstraintAnnotationsOnMember

          public void ignoreConstraintAnnotationsOnMember(Member member,
                                                 Boolean b)

    - #### ignoreConstraintAnnotationsForReturnValue

          public void ignoreConstraintAnnotationsForReturnValue(Member member,
                                                       Boolean b)

    - #### ignoreConstraintAnnotationsForCrossParameterConstraint

          public void ignoreConstraintAnnotationsForCrossParameterConstraint(Member member,
                                                                    Boolean b)

    - #### ignoreConstraintAnnotationsOnParameter

          public void ignoreConstraintAnnotationsOnParameter(Member member,
                                                    int index,
                                                    Boolean b)

    - #### ignoreClassLevelConstraintAnnotations

          public void ignoreClassLevelConstraintAnnotations(Class<?> clazz,
                                                   boolean b)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved